.container-modal {
    width: 496px;
    margin: auto;
}

.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(46, 46, 46, 0.24);
    backdrop-filter: blur(46px);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.modal-content.modal-box {
    padding: 32px;
}

.modal-box {
    max-width: 650px;
    width: 100%;
    background: white;
    border-radius: 16px;
    padding: 24px;
    padding-top: 80px;
    padding-bottom: 56px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    position: relative;
    font-family: sans-serif;
    text-align: center;
}

.modal-close-container {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

button.close-modal.modal-closef {
    border: none;
    background: transparent;
    cursor: pointer;
}

.modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    border: none;
    background: none;
    font-size: 1.5rem;
    cursor: pointer;
}

.modal-icon {
    font-size: 3rem;
    color: #0056b3;
    margin-bottom: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-title {
    color: #005185;
    font-size: 22px;
    margin-bottom: 24px;
}

.modal-description {
    color: #2e2e2e;
    font-size: 20px;
    margin-bottom: 32px;
    font-weight: 400;
    line-height: 24px;
}

.modal-actions {
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}

.modal-btn {
    padding: 0.6rem 2.2rem;
    font-size: 16px;
    line-height: 1;
    border-radius: 25px;
    text-decoration: none;
    font-weight: bold;
    display: inline-block;
}

.modal-btn.primary {
    background-color: #006DB2;
    color: white;
    border: none;
}
.modal-btn.primary:hover {
    background-color: #005185;
}

.modal-btn.secondary {
    border: 1px solid #006DB2;
    color: #006DB2;
    background: transparent;
}
.modal-btn.secondary:hover {
    background: #DFF2FD;
}

@media (max-width: 640px) {
    .modal-box {
        width: 100%;
        margin: auto;
    }
    .container-modal {
        width: auto;
        padding: 0 16px;
    }
    .modal-actions {
        flex-direction: column;
        align-items: center;
        gap: 16px;
    }
    .modal-btn {
        width: 100%;
        max-width: 300px;
    }
}
